Update Vidb Configuration
Updates an existing vCenter Identity Broker (vIDB/VCF SSO) configuration identified by UUID. Validates vIDB connection before applying changes. If certificate is provided, imports it into trust store.
The UUID of the vIDB configuration to update
a7b8c9d0-e1f2-3456-a123-567890123456
{
"data": {
"items": [
{
"config": {
"UUID": "a7b8c9d0-e1f2-3456-a123-567890123456",
"clientId": "54716e4e-7992-4078-aad6-34f392529c54",
"clientSecret": "WldGaE4yVTVZamt0TnpRMVlTMDBPVFJrTFdFeFpqQXRNakppTW1JeFkyVmhPV014",
"issuerUrl": "https://vcf-sso.example.com/acs/t/CUSTOMER/"
}
}
]
}
}
data
vIDB configuration updated successfully
{
"data": {
"items": [
{
"section": "vidb",
"config": {
"name": "VCF SSO",
"clientId": "54716e4e-7992-4078-aad6-34f392529c54",
"issuerUrl": "https://vcf-sso.example.com/acs/t/CUSTOMER/",
"url": "vcf-sso.example.com",
"port": "443",
"tenant": "CUSTOMER",
"UUID": "a7b8c9d0-e1f2-3456-a123-567890123456"
}
}
]
}
}
data
Bad request - validation failed, configuration not found, connection failed, or SSL certificate error
{
"isSuccess": false,
"message": "Request schema validation failed",
"httpStatusCode": 400
}
Configuration not found
{
"isSuccess": false,
"message": "Failed modify item: a7b8c9d0-e1f2-3456-a123-567890123456, section: vidb. Config does not exists.",
"httpStatusCode": 404
}
Indicates if the operation was successful
Human-readable error message
HTTP status code
Internal server error - update failed
{
"isSuccess": false,
"message": "Unable to update vIDB configuration",
"httpStatusCode": 500
}
Indicates if the operation was successful
Human-readable error message
HTTP status code
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/admin/global/config/vidb/{uuid}